Skip to main content
`Ctrl`+`K`

# SNESNCGType

the conjugate update approach for `SNESNCG`

## Values

- `SNES_NCG_FR` - Fletcher-Reeves update

- `SNES_NCG_PRP` - Polak-Ribiere-Polyak update, the default and the only one that tolerates generalized search directions

- `SNES_NCG_HS` - Hestenes-Steifel update

- `SNES_NCG_DY` - Dai-Yuan update

- `SNES_NCG_CD` - Conjugate Descent update

## Options Database Key

- -snes_ncg_type (fr|prp|hs|dy|cd) - select the type

## See Also

`SNES`, `SNESNCG`, `SNESNCGSetType()`

## Level

intermediate

## Location

include/petscsnes.h

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages